Main Page Widgets Namespaces Book

# Gtk::CellRendererCombo Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererCombo:
[legend]
List of all members.

## Public Member Functions

virtual | ~CellRendererCombo ()
GtkCellRendererCombo* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererCombo* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererCombo ()
Glib::PropertyProxy< Glib::RefPtr< Gtk::TreeModel > > | property_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gtk::TreeModel >> | property_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_text_column ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_text_column () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_has_entry ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_has_entry () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererCombo* | wrap (GtkCellRendererCombo* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererCombo::~CellRendererCombo | ( |  | ) | `[virtual]`

Gtk::CellRendererCombo::CellRendererCombo | ( |  | ) |

## Member Function Documentation

virtual Glib::PropertyProxy_Base Gtk::CellRendererCombo::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRendererText.

const GtkCellRendererCombo* Gtk::CellRendererCombo::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

GtkCellRendererCombo* Gtk::CellRendererCombo::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

Glib::PropertyProxy_ReadOnly<bool> Gtk::CellRendererCombo::property_has_entry | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::CellRendererCombo::property_has_entry | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gtk::TreeModel>> Gtk::CellRendererCombo::property_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gtk::TreeModel>> Gtk::CellRendererCombo::property_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::CellRendererCombo::property_text_column | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::CellRendererCombo::property_text_column | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererCombo* wrap | ( | GtkCellRendererCombo* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrenderercombo.h